Bug 8420 - No network configuration screen but I have a network card
Summary: No network configuration screen but I have a network card
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-12 22:19 UTC by Tim Waugh
Modified: 2015-01-07 23:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 14:09:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2000-01-12 22:19:20 UTC
During installation there was no network configuration screen.  I have an
ISA NE2000.  Surely the screen should be visible even if the installer
can't successfully probe the card?  Perhaps with 'Just press Next if you
don't have a network card' in the help text.

Comment 1 Stephen John Smoogen 2000-01-12 23:57:59 UTC
It would seem that you can configure the card if you look for SCSI cards. The
kudzu? like program will ask if you have other devices in your machine. The only
options on this are:

SCSI
Network

From this I was able to configure my network card in the install.

Comment 2 Hans de Goede 2000-01-14 15:05:59 UTC
This has been reported before, and can be worked around with the isa boot disk
option, but I'm in favor, of popping up a dialog with something like:

No network cards where found, would you like to select one manually?
   Yes / No, I don't have a (supported) network card

Comment 3 Jay Turner 2000-02-04 14:09:59 UTC
This is the purpose of "expert" mode.  A standard installation is supposed to be
very simple with a minimum of questions.  By not asking about an unprobed
network card (or any non-essential card for that matter) we do not bring about
the trouble of "I am not sure whether I have a network card or not" and "What is
a network card?"  Expert mode will disable all probing and allow you to specify
that hardware that you have installed on the system.  If the user knows they
have ISA cards which they would like to configure at install time, then they
should run the installation in expert mode.


Note You need to log in before you can comment on or make changes to this bug.